package com.inkasso.factoring.common.enums;

import lombok.Getter;

/**
 * @author liutao
 * @date 2023-09_02
 */
@Getter
public enum VehicleManagementEnum {



    VECHICLE_STORAGE_TO_BE_PUBLISH("vehicleStorageInformationStatus_toBePublish","待售"),

    VECHICLE_STORAGE_REVIEW("vehicleStorageInformationStatus_review","审核中"),

    VECHICLE_STORAGE_PUBLISHED("vehicleStorageInformationStatus_published","在售"),

    VECHICLE_STORAGE_BACK("vehicleStorageInformationStatus_back","未通过"),

    VECHICLE_STORAGE_OUTBOUND("vehicleStorageInformationStatus_outbound","已出库");

    String code;

    String desc;

    VehicleManagementEnum(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static VehicleManagementEnum getByCode(String code){
        for(VehicleManagementEnum ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }
}
